=== debian/changelog ===
compressed-tensors (0.9.4-1) unstable; urgency=medium

  * Initial release.

 -- Kohei Sendai <kouhei.sendai@gmail.com>  Thu, 26 Jun 2025 05:57:04 +0000
