=== debian/control ===
Source: compressed-tensors
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Kohei Sendai <kouhei.sendai@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-setuptools-scm,
 python3-all,
 python3-torch | python3-torch-cuda,
 python3-transformers,
 python3-pydantic
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/neuralmagic/compressed-tensors
Vcs-Browser: https://salsa.debian.org/python-team/packages/compressed-tensors
Vcs-Git: https://salsa.debian.org/python-team/packages/compressed-tensors.git

Package: python3-compressed-tensors
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: extends safetensors files to compressed tensor data types
 The compressed-tensors library extends the safetensors format, providing 
 a versatile and efficient way to store and manage compressed tensor data. 
 This library supports various quantization and sparsity schemes, making 
 it a unified format for handling different model optimizations like GPTQ, 
 AWQ, SmoothQuant, INT8, FP8, SparseGPT, and more.
