=== debian/tests/control ===
Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_examples/test_bitmask_compression_ipynb.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-bitmask-compression

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/model_compressors/test_model_compressor.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-model-compressor

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/quantized_compressors/test_fp8_quant.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-fp8-quant

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/quantized_compressors/test_int_quant.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-int-quant

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/quantized_compressors/test_pack_quant.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-pack-quant

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/sparse_compressors/test_bitmask.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-bitmask

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/sparse_compressors/test_sparse_24_bitmask.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-24-bitmask

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_compressors/sparse_quantized_compressors/test_marlin_24.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-marlin-24

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_configs/test_base.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, black,python3-isort, python3-wheel, python3-flake8,python3-nbconvert
Restrictions: allow-stderr
Features: test-name=pytest-base

Test-Command: cd tests ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_quantization/test_quant_scheme.py
